import { FSDB_COLLECTION } from 'jsr:@andyburke/fsdb';

export type TOTP_ENTRY = {
	user_id: string;
	secret: string;
	timestamps: {
		created: string;
		updated: string;
	};
};

export const TOTP_ENTRY_STORE = new FSDB_COLLECTION<TOTP_ENTRY>({
	name: 'totp_entries',
	id_field: 'user_id'
});
